Skip to main content
POST

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Headers

x-api-version
enum<string>
default:2025-11-01
required

API version to use. This endpoint currently requires 2025-11-01.

Available options:
2025-11-01
Example:

"2025-11-01"

Body

application/json

Field name, query text, and optional filters for autocomplete

Request body for autocomplete suggestions on company search fields.

field
string
required

The dataset API field name to get suggestions for. Valid fields include: basic_info.name, basic_info.primary_domain, basic_info.website, basic_info.professional_network_url, basic_info.professional_network_id, basic_info.company_type, basic_info.year_founded, basic_info.employee_count_range, basic_info.markets, basic_info.industries, revenue.estimated.lower_bound_usd, revenue.estimated.upper_bound_usd, revenue.acquisition_status, funding.total_investment_usd, funding.last_round_type, funding.last_fundraise_date, funding.investors, funding.tracxn_investors, headcount.latest_count, headcount.largest_headcount_country, locations.country, taxonomy.professional_network_industry, taxonomy.professional_network_specialities, taxonomy.categories, technographics.technologies.name, technographics.technologies.category, technographics.top_technologies, followers.latest_count, social_profiles.crunchbase.url, social_profiles.twitter_url, revenue.public_markets.stock_symbols, revenue.public_markets.fiscal_year_end. The dedicated field names technology (technology names) and technology_category (category slugs) are equivalent shorthands for the technographics paths.

Example:

"taxonomy.professional_network_industry"

query
string
required

The search query text (can be empty to get top values by frequency)

Example:

"tech"

limit
integer
default:20

Maximum number of suggestions to return

Required range: 1 <= x <= 100
filters
object

Optional filters to narrow down suggestions

Example:

Response

Autocomplete suggestions with document counts

Response with autocomplete suggestions for a company search field.

suggestions
object[]
required